Show: Inherited Protected Private Deprecated

# ButtonLinkTargetEdit Class

Defined in: `src/ui/react/src/components/buttons/button-link-target-edit.jsx:4`

The ButtonLinkTargetEdit class provides functionality for changing the target of a link in the document.

## Index

### Methods

- render
- shouldComponentUpdate

### Properties

- allowedTargets
- editor
- key static
- selectedTarget

## Methods

### `render`

() Object

Defined in `src/ui/react/src/components/buttons/button-link-target-edit.jsx:48`

Lifecycle. Renders the UI of the button.

#### Returns:

Object:

The content which should be rendered.

### `shouldComponentUpdate`

() Boolean

Defined in `src/ui/react/src/components/buttons/button-link-target-edit.jsx:77`

Lifecycle. Invoked before rendering when new props or state are being received. This method is not called for the initial render or when forceUpdate is used.

#### Returns:

Boolean:

Returns false when the transition to the new props and state will not require a component update.

## Properties

### `allowedTargets`

Array

Defined in `src/ui/react/src/components/buttons/button-link-target-edit.jsx:13`

List of the allowed items for the target attribute. Every allowed target is an object with a `label` attribute that will be shown in the dropdown and a `value` attribute that will get set as the link target attribute.

### `editor`

Object

Defined in `src/ui/react/src/components/buttons/button-link-target-edit.jsx:21`

The editor instance where the component is being used.

### `key`

String static

Defined in `src/ui/react/src/components/buttons/button-link-target-edit.jsx:38`

The name which will be used as an alias of the button in the configuration.

Default: linkTargetEdit

### `selectedTarget`

String

Defined in `src/ui/react/src/components/buttons/button-link-target-edit.jsx:28`

Label of the current target value.